import React, { Component } from 'react';
import { View, ActivityIndicator } from 'react-native';
import PropTypes from 'prop-types';

export default class Spinner extends Component {
  static propTypes = {
    color: PropTypes.string
  };

  static defaultProps = {
    color: '#4d4d4d'
  };

  render() {
    return (
      <View style={{ flex: 1, justifyContent: 'center' }}>
        <ActivityIndicator size="large" color={this.props.color} />
      </View>
    );
  }
}
